#
# spec file for package perl-Unicode-LineBreak
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Unicode-LineBreak
Version:        2013.10
Release:        4.3
%define cpan_name Unicode-LineBreak
Summary:        UAX #14 Unicode Line Breaking Algorithm
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Unicode-LineBreak/
Source:         http://www.cpan.org/authors/id/N/NE/NEZUMI/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(MIME::Charset) >= 1.006.2
Requires:       perl(MIME::Charset) >= 1.006.2
%{perl_requires}

%description
Unicode::LineBreak performs Line Breaking Algorithm described in Unicode
Standard Annex #14 [UAX #14]. East_Asian_Width informative property defined
by Annex #11 [UAX #11] will be concerned to determine breaking positions.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ARTISTIC Changes Changes.REL1 GPL Makefile.PL.sombok perl-Unicode-LineBreak.spec README Todo.REL1

%changelog
* Mon Nov 11 2013 elchevive@opensuse.org
- updated to version 2013.10
  * Unicode 6.3.0, bundled sombok-2.3.1.
  - Moved Japanese PODs to suit POD2 feature.
  - Commented-out "Methods planned to be deprecated".
  - Addition about IDEOGRAPHIC SPACE.
  - Added description about predefined property values for currency symbols.
  - Commented-out "Methods Planned to be Deprecated" and "Obsoleted Options".
  - A new constant IDEOGRAPHIC_SPACE.
  - On reserved codepoints for currency symbols.
  - Abort make if older libthai was found.
  - Decode arguments without utf8 flag as ISO-8859-1: CPAN RT #84661.
  - Added tests for non-utf8-flagged arguments.
* Fri Oct 19 2012 elchevive@opensuse.org
- initial packaging using 'cpansubmitter' package
